# Uses of Interface
org.apache.solr.client.solrj.request.JavaBinUpdateRequestCodec.StreamingUpdateHandler

Packages that use JavaBinUpdateRequestCodec.StreamingUpdateHandler
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of JavaBinUpdateRequestCodec.StreamingUpdateHandler in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request with parameters of type JavaBinUpdateRequestCodec.StreamingUpdateHandler
Modifier and Type
Method
Description
`UpdateRequest`
JavaBinUpdateRequestCodec.`unmarshal(InputStream is, JavaBinUpdateRequestCodec.StreamingUpdateHandler handler)`
Reads a NamedList from the given InputStream, converts it into a SolrInputDocument and passes it to the given StreamingUpdateHandler